[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#382699: Debian patch does not work right with make-kpkg



Package: linux-patch-debian-2.6.16
Version: 2.6.16-17
Severity: normal
File: /usr/src/kernel-patches/all/2.6.16/apply/debian

Hi,

the apply script of the debian patch assumed that '--arch <arch>
--subarch <subarch>' is given as option and depending on that applies
the optional patches. Since make-kpkg does not pass those options on
the commandline when patching the kernel it is impossible to build any
kernel that requires the extra patches from a series, like xen or
vserver.

Please also check for the KPKG_ARCH and KPKG_SUBARCH (and any other
options) that make-kpkg sets and not just the commandline when
deciding what patches to apply.

MfG
	Goswin

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-frosties-2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages linux-patch-debian-2.6.16 depends on:
ii  bzip2                         1.0.3-3    high-quality block-sorting file co
ii  python2.4-minimal             2.4.3-7    A minimal subset of the Python lan

linux-patch-debian-2.6.16 recommends no packages.

-- no debconf information



Reply to: